=== PySide/CMakeLists.txt ===
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/__init__.py
        DESTINATION ${SITE_PACKAGE}/${BINDING_NAME})

add_subdirectory(QtCore)
add_subdirectory(QtGui)
add_subdirectory(QtWebKit)
add_subdirectory(QtNetwork)
add_subdirectory(QtXml)
add_subdirectory(QtXmlPatterns)
add_subdirectory(QtOpenGL)
add_subdirectory(QtSvg)
add_subdirectory(QtSql)
add_subdirectory(QtHelp)
add_subdirectory(QtUiTools)
add_subdirectory(QtScript)
add_subdirectory(QtScriptTools)
IF (QT_PHONON_FOUND)
  message(STATUS "Phonon found")
  add_subdirectory(phonon)
ELSE (QT_PHONON_FOUND)
  message(STATUS "Phonon not found. Phonon support disabled.")
ENDIF (QT_PHONON_FOUND)
