=== base/CMakeLists.txt ===
project(pysidebase)

# project definition
set(pysidebase_SRC
qptr.cpp
qptr_cleanup.cpp
abstract_qobject_connection.cpp
qapplication_policy.cpp
signal_manager.cpp
thread_support.cpp
trigger.cpp
type_converter.cpp
type_manager.cpp
wrapper_manager.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${PYTHON_INCLUDE_PATH}
                    ${Boost_INCLUDE_DIR})
add_library(pysidebase SHARED ${pysidebase_SRC})
target_link_libraries(pysidebase
                      ${Boost_PYTHON_LIBRARY}
                      ${PYTHON_LIBRARIES}
                      ${QT_QTCORE_LIBRARY})
set_target_properties(pysidebase PROPERTIES SOVERSION ${BINDING_VERSION})


#
# install stuff
#

set(pysidbase_HEADERS
    abstract_qobject_connection.hpp
    boost_headers.hpp
    declare_qflags.hpp
    parent_policy.hpp
    pyqt_signal_slot.hpp
    pyside.hpp
    pyside_global.hpp
    qapplication_policy.hpp
    qcontainer_indexing_suite.hpp
    qptr.hpp
    qptr_cleanup.hpp
    signal_manager.hpp
    thread_support.hpp
    trigger.hpp
    type_converter.hpp
    type_details.hpp
    type_manager.hpp
    wrapper_manager.hpp
)

install(FILES ${pysidbase_HEADERS}
        DESTINATION include/${BINDING_NAME})
install(TARGETS pysidebase LIBRARY DESTINATION lib)
