=== data/CMakeLists.txt ===
project(data)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/FindPySide.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/FindPySide.cmake @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/FindPySide.cmake
        DESTINATION share/cmake-2.6/Modules)


# create pkg-config file
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/pyside.pc.in
               ${CMAKE_CURRENT_BINARY_DIR}/pyside.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pyside.pc
        DESTINATION lib/pkgconfig)

add_subdirectory(typesystem)
