=== PySide/QtGui/CMakeLists.txt ===
project(QtGui)
# project definition
# qt 4.5 classes

file(WRITE ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/testQGtkStyle.cxx
  "#include <QtGui/QGtkStyle>\n"
  "int main(void) { QGtkStyle style; return 0; }\n")

try_compile(QGTKSTYLE_WORKS ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/testQGtkStyle.cxx
  CMAKE_FLAGS
    -DINCLUDE_DIRECTORIES:STRING=${QT_INCLUDE_DIR}
    -DLINK_LIBRARIES:STRING=${QT_QTGUI_LIBRARY_RELEASE}
  OUTPUT_VARIABLE OUTPUT)

file(WRITE ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/testQSizeGrip.cxx
  "#include <QtGui/QSizeGrip>\n"
  "int main(void) { \n"
  "#ifdef QT_NO_SIZEGRIP\n"
  "#error QSizeGrip disabled.\n"
  "#endif\n"
  "}\n")

try_compile(QSIZEGRIP_WORKS ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/testQSizeGrip.cxx
  CMAKE_FLAGS
    -DINCLUDE_DIRECTORIES:STRING=${QT_INCLUDE_DIR}
    -DLINK_LIBRARIES:STRING=${QT_QTGUI_LIBRARY_RELEASE}
  OUTPUT_VARIABLE OUTPUT)

set(QtGui_TYPESYSTEM
${typesystem_SOURCE_DIR}/typesystem_gui.xml
)

if(QGTKSTYLE_WORKS)
set(QGTKSTYLE_WRAPPER 
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgtkstyle_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgtkstyle_wrapper.hpp
)
else(QGTKSTYLE_WORKS)
set(QGTKSTYLE_WRAPPER "")
message(STATUS "QGtkStyle support disabled")
endif(QGTKSTYLE_WORKS)

if(QSIZEGRIP_WORKS)
set(QSIZEGRIP_WRAPPER
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qsizegrip_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qsizegrip_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qstyleoptionsizegrip_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qstyleoptionsizegrip_wrapper.hpp
)
else(QSIZEGRIP_WORKS)
set(QSIZEGRIP_WRAPPER "")
message(STATUS "QSizeGrip support disabled")
endif(QSIZEGRIP_WORKS)

set(QtGui_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/converter_register_qtgui.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractbutton_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractbutton_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractgraphicsshapeitem_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractgraphicsshapeitem_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractitemdelegate_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractitemdelegate_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractitemview_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractitemview_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractpagesetupdialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractpagesetupdialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractprintdialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractprintdialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractproxymodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractproxymodel_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractscrollarea_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractscrollarea_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractslider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractslider_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractspinbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractspinbox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_paintcontext_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_paintcontext_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_selection_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_selection_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qactionevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qactionevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qactiongroup_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qactiongroup_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qaction_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qaction_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qapplication_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qapplication_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbitmap_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbitmap_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qboxlayout_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qboxlayout_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbrush_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbrush_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbuttongroup_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbuttongroup_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcalendarwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcalendarwidget_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcdestyle_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcdestyle_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcheckbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcheckbox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcleanlooksstyle_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcleanlooksstyle_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qclipboard_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qclipboard_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcloseevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcloseevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolordialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolordialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolor_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolumnview_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolumnview_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcombobox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcombobox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcommandlinkbutton_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcommandlinkbutton_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcommonstyle_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcommonstyle_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcompleter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcompleter_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qconicalgradient_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qconicalgradient_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcontextmenuevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcontextmenuevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcursor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcursor_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdatawidgetmapper_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdatawidgetmapper_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdateedit_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdateedit_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdatetimeedit_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdatetimeedit_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdesktopservices_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdesktopservices_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdesktopwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdesktopwidget_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdialogbuttonbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdialogbuttonbox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdial_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdial_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdirmodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdirmodel_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdockwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdockwidget_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdoublespinbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdoublespinbox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdoublevalidator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdoublevalidator_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdragenterevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdragenterevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdragleaveevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdragleaveevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdragmoveevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdragmoveevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdrag_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdrag_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdropevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdropevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qerrormessage_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qerrormessage_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfiledialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfiledialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfileiconprovider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfileiconprovider_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfileopenevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfileopenevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfilesystemmodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfilesystemmodel_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfocusevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfocusevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfocusframe_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfocusframe_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontcombobox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontcombobox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontdatabase_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontdatabase_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontdialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontdialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qfontinfo_wrapper.hpp
