=== PySide/QtNetwork/CMakeLists.txt ===
project(QtNetwork)
# project definition
set(QtNetWork_TYPESYSTEM
${typesystem_SOURCE_DIR}/typesystem_network.xml
)
set(QtNetwork_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/converter_register_qtnetwork.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qabstractsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qabstractsocket_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qauthenticator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qauthenticator_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qftp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qftp_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhostaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhostaddress_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhostinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhostinfo_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttpheader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttpheader_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttprequestheader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttprequestheader_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttpresponseheader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttpresponseheader_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qhttp_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qipv6address_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qipv6address_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qlocalserver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qlocalserver_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qlocalsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qlocalsocket_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkaccessmanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkaccessmanager_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkaddressentry_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkaddressentry_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkcookiejar_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkcookiejar_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkcookie_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkcookie_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkinterface_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkproxy_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkproxy_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkreply_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkreply_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qnetworkrequest_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslcertificate_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslcertificate_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslcipher_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslcipher_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslconfiguration_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslconfiguration_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslerror_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslerror_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslkey_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslkey_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qsslsocket_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qssl_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qssl_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qtcpserver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qtcpserver_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qtcpsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qtcpsocket_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qtnetwork_globals_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qtnetwork_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qudpsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qudpsocket_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qurlinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork/qurlinfo_wrapper.hpp
)

add_custom_command(OUTPUT ${QtNetwork_SRC}
COMMAND ${GENERATOR} ${GENERATOR_EXTRA_FLAGS}
        ${CMAKE_SOURCE_DIR}/data/global.h
        --include-paths=${QT_INCLUDE_DIR}:${QT_QTCORE_INCLUDE_DIR}:${QT_QTNETWORK_INCLUDE_DIR}
        --typesystem-paths=${typesystem_SOURCE_DIR}
        --output-directory=${CMAKE_CURRENT_BINARY_DIR}
        --license-file=${CMAKE_SOURCE_DIR}/data/licensecomment.txt
        ${QtNetWork_TYPESYSTEM}
WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
COMMENT "Running generator..."
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtNetwork
                    ${CMAKE_SOURCE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${QT_QTNETWORK_INCLUDE_DIR}
                    ${PYTHON_INCLUDE_PATH}
                    ${Boost_INCLUDE_DIR}
                    ${pysidebase_SOURCE_DIR})
add_library(QtNetwork MODULE ${QtNetwork_SRC})
set_property(TARGET QtNetwork PROPERTY PREFIX "")
target_link_libraries(QtNetwork
                      ${Boost_PYTHON_LIBRARY}
                      ${PYTHON_LIBRARIES}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTNETWORK_LIBRARY}
                      pysidebase)

# install
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtNetwork.so
        DESTINATION ${SITE_PACKAGE}/${BINDING_NAME})
