=== debian/changelog ===
pyside (0.1.4.5-0maemo1) unstable; urgency=low

  * Maemo port.

 -- Lauro Moura <lauro.neto@openbossa.org>  Fri, 21 Aug 2009 15:49:13 -0300

pyside (0.1.4.5-0ubuntu2) unstable; urgency=low

  * Bump version to ubuntu2

 -- Lauro Moura <lauro.neto@openbossa.org>  Fri, 21 Aug 2009 15:35:42 -0300

pyside (0.1.4.5-0ubuntu1) unstable; urgency=low

  * Initial Release 

 -- Lauro Moura <lauro.neto@openbossa.org>  Mon, 17 Aug 2009 16:21:54 -0300
