=== debian/control ===
Source: pyside
Section: python
Priority: optional
Maintainer: PySide team <contact@pyside.org>
Build-Depends: debhelper (>= 5.0.37.2), cmake (>= 2.6.0), python-dev (>= 2.3.5-11), libqt4-dev (>= 4.5.0), libqt4-opengl-dev (>= 4.5.0), boostpythongenerator (>= 0.1), python-support (>= 0.3.9), libboost-python1.38-dev, libqt4-phonon
Standards-Version: 3.8.0

Package: pyside
Architecture: i386
Depends: pyside-base (= ${binary:Version}), pyside-core (= ${binary:Version})
Description: Python bindings for Qt 4 (metapackage)
 Python bindings for Qt4 framework. This is a metapackage for the
 basic packages.

Package: pyside-dbg
Architecture: i386
Priority: extra
Depends: ${shlibs:Depends}
Description: Python bindings for Qt 4 (debug symbols)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols.

Package: pyside-base
Architecture: i386
Depends: libqt4-core (>= 4.5.0), libboost-python1.38.0
Description: Python bindings for Qt 4 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: pyside-base-dev
Architecture: i386
Depends: libqt4-dev (>= 4.5.0), libboost-python1.38-dev, pyside-base
Description: Python bindings for Qt 4 (development files)
 Development headers for the pysidebase library.

Package: pyside-core
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-core (>= 4.5.0), libboost-python1.38.0, libfontconfig1
Description: Qt 4 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: pyside-gui
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-gui (>= 4.5.0), pyside-core (= ${binary:Version})
Description: Qt 4 GUI module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtGui module.

Package: pyside-help
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-help (>= 4.5.0), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version})
Description: Qt 4 help module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtHelp module.

Package: pyside-network
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-network (>= 4.5.0), pyside-core (= ${binary:Version})
Description: Qt 4 network module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtNetwork module.

Package: pyside-opengl
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-opengl (>= 4.5.0), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version})
Description: Qt 4 OpenGL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtOpenGL module.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: pyside-phonon
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-phonon (>= 4.3.0), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version})
Description: Qt 4 Phonon module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the Phonon multimedia module.

Package: pyside-script
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-script (>= 4.5.0), pyside-core (= ${binary:Version})
Description: Qt 4 script module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtScript and QtScriptTools
 modules.

Package: pyside-sql
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-sql (>= 4.5.0), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version})
Description: Qt 4 SQL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSql module.

Package: pyside-svg
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-svg (>= 4.5.0), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version})
Description: Qt 4 SVG module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSvg module.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: pyside-uitools
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version})
Description: Qt 4 UI tools module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtUiTools module.

Package: pyside-webkit
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-webkit (>= 4.5.0), pyside-network (= ${binary:Version}), pyside-core (= ${binary:Version}), pyside-gui (= ${binary:Version}), libqt4-phonon (>= 4.5.0) | libqt4-phonon, libqt4-dbus (>= 4.5.0)
Description: Qt 4 WebKit module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtWebKit module.

Package: pyside-xml
Architecture: i386
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${python:Depends}, pyside-base (= ${binary:Version}), libqt4-xml (>= 4.5.0), pyside-core (= ${binary:Version})
Description: Qt 4 XML module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtXml module.

Package: pyside-tests
Section: tests
Priority: optional
Architecture: i386
Depends: ${python:Depends}, pyside-core, pyside-gui, pyside-help, pyside-network, pyside-opengl, pyside-phonon, pyside-script, pyside-sql, pyside-svg, pyside-uitools, pyside-webkit, pyside-xml, libqt4-sql-sqlite, libqt4-dev
Description: Tests for pyside packages
 Standalone tests for pyside packages; these tests can be
 executed directly by calling /usr/share/pyside-tests/runtests.sh;
 results are stored in /tmp/pyside-tests/testresults.log.
